%define upstream_name    Dist-Zilla-Role-PluginBundle-PluginRemover
%define upstream_version 0.103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add '-remove' functionality to a bundle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This role enables your the Dist::Zilla manpage Plugin Bundle to
automatically remove any plugins specified by the '-remove' attribute (like
Dist::Zilla::PluginBundle::Filter does):

  [@MyBundle]
  -remove = PluginIDontWant
  -remove = OtherDumbPlugin

If you want to use an attribute named '-remove' for your own bundle you can
override the 'plugin_remover_attribute' sub to define a different attribute
name:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml LICENSE META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.103.0-3.mga6
+ Revision: 1026699
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.103.0-2.mga6
+ Revision: 966826
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.103.0-1.mga6
+ Revision: 846914
- update to 0.103

* Wed Oct 15 2014 umeabot <umeabot> 0.102.0-4.mga5
+ Revision: 739513
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.102.0-2.mga4
+ Revision: 531265
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 sander85 <sander85> 0.102.0-1.mga4
+ Revision: 462693
- update to 0.102

* Sun Jan 13 2013 umeabot <umeabot> 0.101.0-2.mga3
+ Revision: 366728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 06 2012 jquelin <jquelin> 0.101.0-1.mga2
+ Revision: 228857
- imported package perl-Dist-Zilla-Role-PluginBundle-PluginRemover


* Fri Apr 06 2012 cpan2dist 0.101-1mga
- initial mageia release, generated with cpan2dist
